Bug 80438 - absent libdb.so.2 dependency in evolution
absent libdb.so.2 dependency in evolution
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: evolution (Show other bugs)
wolverine
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-26 07:15 EST by Leonid Kanter
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-29 03:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2002-12-26 07:15:06 EST
Description of problem: 
 
I tried to install evolution-1.2.1-2 on semi-updated system, initially based on red hat 
7.3. all dependencies were satisfied, but evolution won't start: 
 
evolution: error while loading shared libraries: libdb.so.2: cannot open shared object 
file: No such file or directory 
 
ldd show that this library is needed: 
 
[leon@omnibook leon]$ ldd /usr/bin/evolution | grep libdb.so.2 
        libdb.so.2 => not found 
        libdb.so.2 => not found 
        libdb.so.2 => not found 
        libdb.so.2 => not found 
 
but rpm think that everything is OK: 
 
[leon@omnibook leon]$ rpm -V evolution 
[leon@omnibook leon]$ rpm -q gnome-libs 
gnome-libs-1.4.1.2.90-14 
 
on other box, where fresh phoebe is installed: 
 
[leon@leon leon]$ rpm -q --whatprovides libdb.so.2 
gnome-libs-1.4.1.2.90-26 
[leon@leon leon]$ rpm -q --whatrequires libdb.so.2 
gnome-libs-1.4.1.2.90-26 
[leon@leon leon]$ rpm -q evolution 
evolution-1.2.1-2 
[leon@leon leon]$ ldd /usr/bin/evolution | grep libdb.so.2 
        libdb.so.2 => /usr/lib/libdb.so.2 (0x40fb2000) 
 
Version-Release number of selected component (if applicable): 
 
1.2.1-2
Comment 1 Jeremy Katz 2002-12-29 03:56:22 EST
evolution itself doesn't require libdb, instead one of the dependent libraries
does (see readelf -a /usr/bin/evolution and look at the actual DT_NEEDED
sections).  So you lost the deps of something along the way of updating.

Note You need to log in before you can comment on or make changes to this bug.